| 0.9.8

- Main Page
- Modules
- Files

- File List

Functions
type_ptr.hpp File Reference

Go to the source code of this file.

## Functions
template<typename T >
GLM_FUNC_DECL tmat2x2< T, defaultp > | make_mat2 (T const *const ptr)
template<typename T >
GLM_FUNC_DECL tmat2x2< T, defaultp > | make_mat2x2 (T const *const ptr)
template<typename T >
GLM_FUNC_DECL tmat2x3< T, defaultp > | make_mat2x3 (T const *const ptr)
template<typename T >
GLM_FUNC_DECL tmat2x4< T, defaultp > | make_mat2x4 (T const *const ptr)
template<typename T >
GLM_FUNC_DECL tmat3x3< T, defaultp > | make_mat3 (T const *const ptr)
template<typename T >
GLM_FUNC_DECL tmat3x2< T, defaultp > | make_mat3x2 (T const *const ptr)
template<typename T >
GLM_FUNC_DECL tmat3x3< T, defaultp > | make_mat3x3 (T const *const ptr)
template<typename T >
GLM_FUNC_DECL tmat3x4< T, defaultp > | make_mat3x4 (T const *const ptr)
template<typename T >
GLM_FUNC_DECL tmat4x4< T, defaultp > | make_mat4 (T const *const ptr)
template<typename T >
GLM_FUNC_DECL tmat4x2< T, defaultp > | make_mat4x2 (T const *const ptr)
template<typename T >
GLM_FUNC_DECL tmat4x3< T, defaultp > | make_mat4x3 (T const *const ptr)
template<typename T >
GLM_FUNC_DECL tmat4x4< T, defaultp > | make_mat4x4 (T const *const ptr)
template<typename T >
GLM_FUNC_DECL tquat< T, defaultp > | make_quat (T const *const ptr)
template<typename T >
GLM_FUNC_DECL tvec2< T, defaultp > | make_vec2 (T const *const ptr)
template<typename T >
GLM_FUNC_DECL tvec3< T, defaultp > | make_vec3 (T const *const ptr)
template<typename T >
GLM_FUNC_DECL tvec4< T, defaultp > | make_vec4 (T const *const ptr)
template<typename genType >
GLM_FUNC_DECL genType::value_type const * | value_ptr (genType const &vec)

## Detailed Description

GLM_GTC_type_ptr

See also
  GLM Core (dependence)
  gtc_half_float (dependence)
  GLM_GTC_quaternion (dependence)

Definition in file type_ptr.hpp.